<?php
namespace Ep\Gath\Entity;

/**
 * Predstavlja stanje zalihe nekog proizvoda.
 *
 * @package Ep\Gath\Entity
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class Stock
{
	/** @var string */
	private $sku;
	/** @var float */
	private $stock;
	/** @var int */
	private $purchase_step;

	/**
	 * @return string
	 */
	public function getSku(): string
	{
		return $this->sku ?? '';
	}

	/**
	 * @return float
	 */
	public function getStock(): float
	{
		return $this->stock;
	}

    /**
     * @return int
     */
    public function getPurchaseStep(): int
    {
        return max(1, $this->purchase_step);
    }
}